SystemMemberRegion (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.admin, interface: SystemMemberRegion

Package org.apache.geode.admin

# Interface SystemMemberRegion

@Deprecated public interface SystemMemberRegion
Deprecated.
as of 7.0 use the `management` package instead
Administrative interface that represent's the `SystemMember`'s view of one of its cache's `Region`s. If the region in the remote system member is closed or destroyed, the methods of `SystemMemberRegion` will throw `RegionNotFoundException`.

Since:
  GemFire 3.5

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SystemMemberRegion`
  `createSubregion(String name, RegionAttributes attrs)`
  Deprecated.
  Creates a subregion of this region.
  `String`
  `getCacheListener()`
  Deprecated.
  as of 6.0 use getCacheListeners() instead
  `String[]`
  `getCacheListeners()`
  Deprecated.
  This method will return an empty array if there are no CacheListeners defined on the region.
  `String`
  `getCacheLoader()`
  Deprecated.
  Returns a description of any CacheLoader associated with this region.
  `String`
  `getCacheWriter()`
  Deprecated.
  Returns a description of any CacheWriter associated with this region.
  `boolean`
  `getConcurrencyChecksEnabled()`
  Deprecated.
  Returns whether or not conflicting concurrent operations on this region are prevented
  `int`
  `getConcurrencyLevel()`
  Deprecated.
  Returns the ConcurrencyLevel in this region's attributes.
  `String`
  `getCustomEntryIdleTimeout()`
  Deprecated.
  string describing the CustomExpiry for entry-idle-timeout
  `String`
  `getCustomEntryTimeToLive()`
  Deprecated.
  string describing the CustomExpiry for entry-time-to-live
  `DataPolicy`
  `getDataPolicy()`
  Deprecated.
  Returns the DataPolicy in this region's attributes.
  `File[]`
  `getDiskDirs()`
  Deprecated.
  Returns the directories to which the region's data are written.
  `DiskWriteAttributes`
  `getDiskWriteAttributes()`
  Deprecated.
  Returns the `DiskWriteAttributes` that configure how the region is written to disk.
  `boolean`
  `getEarlyAck()`
  Deprecated.
  Returns whether or not acks are sent after an update is processed.
  `int`
  `getEntryCount()`
  Deprecated.
  Returns the number of entries currently in this region.
  `ExpirationAction`
  `getEntryIdleTimeoutAction()`
  Deprecated.
  Returns the EntryIdleTimeout action in this region's attributes.
  `int`
  `getEntryIdleTimeoutTimeLimit()`
  Deprecated.
  Returns the EntryIdleTimeout time limit in this region's attributes.
  `ExpirationAction`
  `getEntryTimeToLiveAction()`
  Deprecated.
  Returns the EntryTimeToLive action in this region's attributes.
  `int`
  `getEntryTimeToLiveTimeLimit()`
  Deprecated.
  Returns the EntryTimeToLive time limit in this region's attributes.
  `EvictionAttributes`
  `getEvictionAttributes()`
  Deprecated.
  Returns the `EvictionAttributes` that configure how entries in the region are evicted
  `String`
  `getFullPath()`
  Deprecated.
  Returns the full path name that identifies this region in its cache.
  `long`
  `getHitCount()`
  Deprecated.
  Returns the HitCount obtained from this region's statistics.
  `float`
  `getHitRatio()`
  Deprecated.
  Returns the HitRatio obtained from this region's statistics.
  `int`
  `getInitialCapacity()`
  Deprecated.
  Returns the InitialCapacity in this region's attributes.
  `String`
  `getKeyConstraint()`
  Deprecated.
  Returns the KeyConstraint in this region's attributes.
  `long`
  `getLastAccessedTime()`
  Deprecated.
  Returns the LastAccessedTime obtained from this region's statistics.
  `long`
  `getLastModifiedTime()`
  Deprecated.
  Returns the LastModifiedTime obtained from this region's statistics.
  `float`
  `getLoadFactor()`
  Deprecated.
  Returns the LoadFactor in this region's attributes.
  `MembershipAttributes`
  `getMembershipAttributes()`
  Deprecated.
  this API is scheduled to be removed
  `MirrorType`
  `getMirrorType()`
  Deprecated.
  as of 5.0, you should use getDataPolicy instead
  `long`
  `getMissCount()`
  Deprecated.
  Returns the MissCount obtained from this region's statistics.
  `String`
  `getName()`
  Deprecated.
  Returns the name that identifies this region in its cache.
  `PartitionAttributes`
  `getPartitionAttributes()`
  Deprecated.
  Returns the `PartitionAttributes` for the region.
  `boolean`
  `getPersistBackup()`
  Deprecated.
  Returns whether or not a persistent backup should be made of the region (as opposed to just writing the overflow data to disk).
  `ExpirationAction`
  `getRegionIdleTimeoutAction()`
  Deprecated.
  Returns the RegionIdleTimeout action in this region's attributes.
  `int`
  `getRegionIdleTimeoutTimeLimit()`
  Deprecated.
  Returns the RegionIdleTimeout time limit in this region's attributes.
  `ExpirationAction`
  `getRegionTimeToLiveAction()`
  Deprecated.
  Returns the RegionTimeToLive action in this region's attributes.
  `int`
  `getRegionTimeToLiveTimeLimit()`
  Deprecated.
  Returns the RegionTimeToLive time limit in this region's attributes.
  `Scope`
  `getScope()`
  Deprecated.
  Returns the Scope in this region's attributes.
  `boolean`
  `getStatisticsEnabled()`
  Deprecated.
  Returns the StatisticsEnabled in this region's attributes.
  `int`
  `getSubregionCount()`
  Deprecated.
  Returns the number of subregions currently in this region.
  `Set`
  `getSubregionFullPaths()`
  Deprecated.
  Returns the full path of each of the subregions of this region.
  `Set`
  `getSubregionNames()`
  Deprecated.
  Returns the names of all the subregions of this region.
  `SubscriptionAttributes`
  `getSubscriptionAttributes()`
  Deprecated.
  Returns the `SubscriptionAttributes` for the region.
  `String`
  `getUserAttribute()`
  Deprecated.
  Returns a description of any user attribute associated with this region.
  `String`
  `getValueConstraint()`
  Deprecated.
  Returns the ValueConstraint in this region's attributes.
  `void`
  `refresh()`
  Deprecated.
  Updates the state of this region instance.

- ## Method Details

  - ### getName

    String getName()
    Deprecated.
    Returns the name that identifies this region in its cache.
    Returns:
      the name that identifies this region in its cache
    See Also:
      - `Region.getName()`

  - ### getFullPath

    String getFullPath()
    Deprecated.
    Returns the full path name that identifies this region in its cache.
    Returns:
      the full path name that identifies this region in its cache
    See Also:
      - `Region.getFullPath()`

  - ### getSubregionNames

    Set getSubregionNames()
    Deprecated.
    Returns the names of all the subregions of this region.
    Returns:
      the names of all the subregions of this region

  - ### getSubregionFullPaths

    Set getSubregionFullPaths()
    Deprecated.
    Returns the full path of each of the subregions of this region. These paths are suitable for use with `SystemMemberCache.getRegion(java.lang.String)`.
    Returns:
      the full path of each of the subregions of this region

  - ### getUserAttribute

    String getUserAttribute()
    Deprecated.
    Returns a description of any user attribute associated with this region. The description includes the classname of the user attribute object as well as its `toString` representation.
    Returns:
      a description of any user attribute associated with this region

  - ### getCacheLoader

    String getCacheLoader()
    Deprecated.
    Returns a description of any CacheLoader associated with this region.
    Returns:
      a description of any CacheLoader associated with this region

  - ### getCacheWriter

    String getCacheWriter()
    Deprecated.
    Returns a description of any CacheWriter associated with this region.
    Returns:
      a description of any CacheWriter associated with this region

  - ### getEvictionAttributes

    EvictionAttributes getEvictionAttributes()
    Deprecated.
    Returns the `EvictionAttributes` that configure how entries in the region are evicted
    Returns:
      the `EvictionAttributes` that configure how entries in the region are evicted

  - ### getCacheListener

    @Deprecated String getCacheListener()
    Deprecated.
    as of 6.0 use getCacheListeners() instead
    Returns a description of the CacheListener in this region's attributes. If there is more than 1 CacheListener defined for a region this method will return the description of the 1st CacheListener returned from `getCacheListeners()`
    Returns:
      a description of the CacheListener in this region's attributes

  - ### getCacheListeners

    String[] getCacheListeners()
    Deprecated.
    This method will return an empty array if there are no CacheListeners defined on the region. If there are one or more than 1 CacheListeners defined, this method will return an array which has the names of all the CacheListeners
    Returns:
      String[] the region's `CacheListeners` as a String array
    Since:
      GemFire 6.0

  - ### getKeyConstraint

    String getKeyConstraint()
    Deprecated.
    Returns the KeyConstraint in this region's attributes.
    Returns:
      the KeyConstraint in this region's attributes

  - ### getValueConstraint

    String getValueConstraint()
    Deprecated.
    Returns the ValueConstraint in this region's attributes.
    Returns:
      the ValueConstraint in this region's attributes

  - ### getRegionTimeToLiveTimeLimit

    int getRegionTimeToLiveTimeLimit()
    Deprecated.
    Returns the RegionTimeToLive time limit in this region's attributes.
    Returns:
      the RegionTimeToLive time limit in this region's attributes

  - ### getRegionTimeToLiveAction

    ExpirationAction getRegionTimeToLiveAction()
    Deprecated.
    Returns the RegionTimeToLive action in this region's attributes.
    Returns:
      the RegionTimeToLive action in this region's attributes

  - ### getEntryTimeToLiveTimeLimit

    int getEntryTimeToLiveTimeLimit()
    Deprecated.
    Returns the EntryTimeToLive time limit in this region's attributes.
    Returns:
      the EntryTimeToLive time limit in this region's attributes

  - ### getEntryTimeToLiveAction

    ExpirationAction getEntryTimeToLiveAction()
    Deprecated.
    Returns the EntryTimeToLive action in this region's attributes.
    Returns:
      the EntryTimeToLive action in this region's attributes

  - ### getCustomEntryTimeToLive

    String getCustomEntryTimeToLive()
    Deprecated.
    string describing the CustomExpiry for entry-time-to-live
    Returns:
      the CustomExpiry for entry-time-to-live

  - ### getRegionIdleTimeoutTimeLimit

    int getRegionIdleTimeoutTimeLimit()
    Deprecated.
    Returns the RegionIdleTimeout time limit in this region's attributes.
    Returns:
      the RegionIdleTimeout time limit in this region's attributes

  - ### getRegionIdleTimeoutAction

    ExpirationAction getRegionIdleTimeoutAction()
    Deprecated.
    Returns the RegionIdleTimeout action in this region's attributes.
    Returns:
      the RegionIdleTimeout action in this region's attributes

  - ### getEntryIdleTimeoutTimeLimit

    int getEntryIdleTimeoutTimeLimit()
    Deprecated.
    Returns the EntryIdleTimeout time limit in this region's attributes.
    Returns:
      the EntryIdleTimeout time limit in this region's attributes

  - ### getEntryIdleTimeoutAction

    ExpirationAction getEntryIdleTimeoutAction()
    Deprecated.
    Returns the EntryIdleTimeout action in this region's attributes.
    Returns:
      the EntryIdleTimeout action in this region's attributes

  - ### getCustomEntryIdleTimeout

    String getCustomEntryIdleTimeout()
    Deprecated.
    string describing the CustomExpiry for entry-idle-timeout
    Returns:
      the CustomExpiry for entry-idle-timeout

  - ### getMirrorType

    @Deprecated MirrorType getMirrorType()
    Deprecated.
    as of 5.0, you should use getDataPolicy instead
    Returns the MirrorType in this region's attributes.
    Returns:
      the MirrorType in this region's attributes

  - ### getDataPolicy

    DataPolicy getDataPolicy()
    Deprecated.
    Returns the DataPolicy in this region's attributes.
    Returns:
      the DataPolicy in this region's attributes

  - ### getScope

    Scope getScope()
    Deprecated.
    Returns the Scope in this region's attributes.
    Returns:
      the Scope in this region's attributes

  - ### getInitialCapacity

    int getInitialCapacity()
    Deprecated.
    Returns the InitialCapacity in this region's attributes.
    Returns:
      the InitialCapacity in this region's attributes

  - ### getLoadFactor

    float getLoadFactor()
    Deprecated.
    Returns the LoadFactor in this region's attributes.
    Returns:
      the LoadFactor in this region's attributes

  - ### getConcurrencyLevel

    int getConcurrencyLevel()
    Deprecated.
    Returns the ConcurrencyLevel in this region's attributes.
    Returns:
      the ConcurrencyLevel in this region's attributes

  - ### getConcurrencyChecksEnabled

    boolean getConcurrencyChecksEnabled()
    Deprecated.
    Returns whether or not conflicting concurrent operations on this region are prevented
    Returns:
      whether conflicting concurrent operations on this region are prevented

  - ### getStatisticsEnabled

    boolean getStatisticsEnabled()
    Deprecated.
    Returns the StatisticsEnabled in this region's attributes.
    Returns:
      the StatisticsEnabled in this region's attributes

  - ### getPersistBackup

    boolean getPersistBackup()
    Deprecated.
    Returns whether or not a persistent backup should be made of the region (as opposed to just writing the overflow data to disk).
    Returns:
      whether a persistent backup should be made of the region

  - ### getDiskWriteAttributes

    DiskWriteAttributes getDiskWriteAttributes()
    Deprecated.
    Returns the `DiskWriteAttributes` that configure how the region is written to disk.
    Returns:
      the `DiskWriteAttributes` that configure how the region is written to disk

  - ### getDiskDirs

    File[] getDiskDirs()
    Deprecated.
    Returns the directories to which the region's data are written. If multiple directories are used, GemFire will attempt to distribute the data evenly amongst them.
    Returns:
      the directories to which the region's data are written

  - ### getEntryCount

    int getEntryCount()
    Deprecated.
    Returns the number of entries currently in this region.
    Returns:
      the number of entries currently in this region

  - ### getSubregionCount

    int getSubregionCount()
    Deprecated.
    Returns the number of subregions currently in this region.
    Returns:
      the number of subregions currently in this region

  - ### getLastModifiedTime

    long getLastModifiedTime()
    Deprecated.
    Returns the LastModifiedTime obtained from this region's statistics.
    Returns:
      the LastModifiedTime obtained from this region's statistics

  - ### getLastAccessedTime

    long getLastAccessedTime()
    Deprecated.
    Returns the LastAccessedTime obtained from this region's statistics.
    Returns:
      the LastAccessedTime obtained from this region's statistics

  - ### getHitCount

    long getHitCount()
    Deprecated.
    Returns the HitCount obtained from this region's statistics.
    Returns:
      the HitCount obtained from this region's statistics

  - ### getMissCount

    long getMissCount()
    Deprecated.
    Returns the MissCount obtained from this region's statistics.
    Returns:
      the MissCount obtained from this region's statistics

  - ### getHitRatio

    float getHitRatio()
    Deprecated.
    Returns the HitRatio obtained from this region's statistics.
    Returns:
      the HitRatio obtained from this region's statistics

  - ### getEarlyAck

    boolean getEarlyAck()
    Deprecated.
    Returns whether or not acks are sent after an update is processed.
    Returns:
      False if acks are sent after updates are processed; true if acks are sent before updates are processed.
    Since:
      GemFire 4.1

  - ### refresh

    void refresh()
    Deprecated.
    Updates the state of this region instance. Note that once a cache instance is closed refresh will never change the state of its regions.

  - ### createSubregion

    SystemMemberRegion createSubregion(String name, RegionAttributes attrs) throws AdminException
    Deprecated.
    Creates a subregion of this region.
    Parameters:
      `name` - The name of the region to create
      `attrs` - The attributes of the root region
    Returns:
      the created subregion
    Throws:
      `AdminException` - If the region cannot be created
    Since:
      GemFire 4.0

  - ### getMembershipAttributes

    @Deprecated MembershipAttributes getMembershipAttributes()
    Deprecated.
    this API is scheduled to be removed
    Returns the `MembershipAttributes` that configure required roles for reliable access to the region.
    Returns:
      the `MembershipAttributes` that configure required roles for reliable access to the region

  - ### getSubscriptionAttributes

    SubscriptionAttributes getSubscriptionAttributes()
    Deprecated.
    Returns the `SubscriptionAttributes` for the region.
    Returns:
      the `SubscriptionAttributes` for the region
    Since:
      GemFire 5.0

  - ### getPartitionAttributes

    PartitionAttributes getPartitionAttributes()
    Deprecated.
    Returns the `PartitionAttributes` for the region.
    Returns:
      the `PartitionAttributes` for the region
    Since:
      GemFire 5.7